### Method

# RB PlaylistManager new_playlist

#### Declaration [src]

    RBSource*
    rb_playlist_manager_new_playlist (
      RBPlaylistManager* mgr,
      const char* suggested_name,
      gboolean automatic
    )

#### Description [src]

Creates a new playlist and adds it to the source list.

#### Parameters

`suggested_name`

  Type: `const char*`

  Optional name to use for the new playlist.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`automatic`

  Type: `gboolean`

  If TRUE, create an auto playlist.

#### Return value

Type: `RBSource`

The new playlist object.

The returned data is owned by the instance.